import type { PropsWithChildren, FunctionComponent } from "react";
import type { Theme } from "@fluentui/react-components";
export type ToolHostProps = {
    /**
     * Allows host to pass in a theme
     */
    customTheme?: Theme;
    /**
     * Can be set to true to disable the copy button in the tool's property lines. Default is false (copy enabled)
     */
    disableCopy?: boolean;
};
export declare const ToolContext: import("react").Context<{
    readonly useFluent: boolean;
    readonly disableCopy: boolean;
}>;
/**
 * For tools which are ready to move over the fluent, wrap the root of the tool (or the panel which you want fluentized) with this component
 * Today we will only enable fluent if the URL has the `newUX` query parameter is truthy
 * @param props
 * @returns
 */
export declare const FluentToolWrapper: FunctionComponent<PropsWithChildren<ToolHostProps>>;
