import { jsx as _jsx } from "react/jsx-runtime";
import { Checkbox as FluentCheckbox } from "@fluentui/react-components";
import { useEffect, useState } from "react";
/**
 * This is a primitive fluent checkbox that can both read and write checked state
 * @param props
 * @returns Checkbox component
 */
export const Checkbox = (props) => {
    const [checked, setChecked] = useState(() => props.value ?? false);
    useEffect(() => {
        if (props.value != undefined) {
            setChecked(props.value); // Update local state when props.checked changes
        }
    }, [props.value]);
    const onChange = (ev, _) => {
        props.onChange(ev.target.checked);
        setChecked(ev.target.checked);
    };
    return _jsx(FluentCheckbox, { checked: checked, onChange: onChange, disabled: props.disabled });
};
//# sourceMappingURL=checkbox.js.map