import { jsx as _jsx } from "react/jsx-runtime";
import { makeStyles, SpinButton as FluentSpinButton } from "@fluentui/react-components";
import { useCallback, useState } from "react";
const useSpinStyles = makeStyles({
    base: {
        display: "flex",
        flexDirection: "column",
    },
});
export const SpinButton = (props) => {
    const classes = useSpinStyles();
    const [spinButtonValue, setSpinButtonValue] = useState(props.value);
    const onSpinButtonChange = useCallback((_ev, data) => {
        // Stop propagation of the event to prevent it from bubbling up
        _ev.stopPropagation();
        if (data.value !== undefined) {
            setSpinButtonValue(data.value);
        }
        else if (data.displayValue !== undefined) {
            const newValue = parseFloat(data.displayValue);
            if (!Number.isNaN(newValue)) {
                setSpinButtonValue(newValue);
            }
        }
    }, [setSpinButtonValue]);
    return (_jsx("div", { className: classes.base, children: _jsx(FluentSpinButton, { value: spinButtonValue, onChange: onSpinButtonChange }) }));
};
//# sourceMappingURL=spinButton.js.map